﻿-- To update a translation please use the localization utility at:
-- http://wow.curseforge.com/addons/duelresponse/localization/

local AddonName, AddonTable = ...
local function DefaultFunction(_, key) return key end
AddonTable.Localize = setmetatable({}, {__index = DefaultFunction})
local L = AddonTable.Localize

if GetLocale() == "frFR" then -- French
L["Automatically decline duel request from higher level players."] = "Refuser automatiquement les duels des joueurs dont le niveau est trop élevé pour vous."
L["Automatically decline duel requests from enemy players."] = "Refuser automatiquement les duels des joueurs ennemis."
L["Automatically decline duels if you are not at full health."] = "Refuser automatiquement les duels si vous n'avez pas toute votre vie."
L["Automatically decline duels if your mana is not full."] = "Refuser automatiquement les duels si vous n'avez pas toute votre mana."
L["Automatically decline duels while you are PvP flagged."] = "Refuser automatiquement les duels lorsque vous avez le marqueur JcJ."
L["Automatically decline duels while you are marked as Away."] = "Refuser automatiquement les duels lorsque vous êtes marqué comme Absent."
L["Automatically decline duels while you are marked as Busy."] = "Refuser automatiquement les duels lorsque vous êtes marqué comme Occupé."
L["Automatically decline duels while you have Resurrection Sickness."] = "Refuser automatiquement les duels lorsque vous avez le mal de résurrection."
L["Away."] = "Absent."
L["Busy."] = "Occupé."
L["Challenger"] = "Adversaire"
L["Decline all incoming duel requests."] = "Refuser toutes les demandes de duel."
L["DuelResponse"] = "DuelResponse"
L["DuelResponse Config"] = "Configuration de DuelResponse"
L["Enemy Challenger"] = "Adversaire ennemi"
L["I am currently marked as Away."] = "Je suis actuellement marqué comme étant Absent."
L["I am currently marked as Busy."] = "Je suis actuellement marqué comme étant Occupé."
L["I don't duel while I have Resurrection Sickness."] = "Je ne fais pas de duel lorsque j'ai le mal de résurrection."
L["I don't duel while my PvP flag is on."] = "Je ne fais pas de duel lorsque j'ai mon marqueur JcJ activé."
L["I don't like to duel."] = "Je n'aime pas les duels."
L["Load Successful."] = "Chargement réussi."
L["Minimap Button"] = "Mini-Bouton"
L["Minimum health to recover:"] = "Santé minimum à récupérer :"
L["Minimum level difference of higher level players:"] = "Différence minimum de niveau pour les joueurs dont le niveau est trop élevé :"
L["Minimum mana to recover:"] = "Mana minimum à récupérer :"
L["Please allow me to heal first."] = "Laissez-moi d'abord me soigner s'il vous plaît."
L["Please allow me to regain my mana first."] = "Laissez-moi d'abord récupérer de la mana s'il vous plaît."
L["Send a whisper to those you have rejected a duel request from."] = "Envoyer un whisp aux joueurs dont vous avez refusé l'invitation au duel."
L["You are %d levels higher than me, so it's fairly obvious that you'd win. Go and challenge someone else."] = "Vous avez %d niveaux de plus que moi, il est donc évident que vous auriez gagné. Défié quelqu'un d'autre."

elseif GetLocale() == "deDE" then -- German
L["Automatically decline duel request from higher level players."] = "Automatisch Duelle verweigern von Spielern mit hohem Niveau."
L["Automatically decline duel requests from enemy players."] = "Verweigere Duelle von gegnerischen Spielern."
L["Automatically decline duels if you are not at full health."] = "Verweigern automatisch Duelle, wenn nicht bei voller Gesundheit."
L["Automatically decline duels if your mana is not full."] = "Verweigern automatisch Duelle, wenn kein volles Mana."
L["Automatically decline duels while you are PvP flagged."] = "Automatisch Duelle verweigern, während Spieler gegen Spieler aktiv."
L["Automatically decline duels while you are marked as Away."] = "Automatisch verweigern Duelle während Sie sind weg."
L["Automatically decline duels while you are marked as Busy."] = "Automatisch verweigern Duelle während Sie sind ausgelastet."
L["Automatically decline duels while you have Resurrection Sickness."] = "Duelle automatisch abnehmen während Sie Widerbelebungsnachwirkungen haben."
L["Away."] = "Weg."
L["Busy."] = "Ausgelastet."
L["Challenger"] = "Herausforderer"
L["Decline all incoming duel requests."] = "Ablehnen aller eingehenden Anfragen von Duellen."
L["DuelResponse"] = "DuelAntwort"
L["DuelResponse Config"] = "DuelAntwort Konfiguration"
L["Enemy Challenger"] = "Feind Herausforderer"
L["I am currently marked as Away."] = "Ich bin zur Zeit nicht anwesend." -- Needs review
L["I am currently marked as Busy."] = "Ich bin derzeit zu ausgelastet." -- Needs review
L["I don't duel while I have Resurrection Sickness."] = "Ich mache kein Duell solange Widerbelebungsnachwirkungen vorhanden sind."
L["I don't duel while my PvP flag is on."] = "Ich mache kein Duell, wenn ich mit Spieler gegen Spieler markiert bin."
L["I don't like to duel."] = "Ich weiß nicht gleich Duelle."
L["Load Successful."] = "Erfolgreich geladen."
L["Minimap Button"] = "Taste auf minikarte"
L["Minimum health to recover:"] = "Mindest Gesundheit für Erholen:" -- Needs review
L["Minimum level difference of higher level players:"] = "Minimaler Stufen Unterschied:"
L["Minimum mana to recover:"] = "Minimum von Mana:" -- Needs review
L["Please allow me to heal first."] = "Bitte gestatte mir mich erst zu heilen." -- Needs review
L["Please allow me to regain my mana first."] = "Bitte erlauben Sie mir zuerst mein Mana wiederherzustellen."
L["Send a whisper to those you have rejected a duel request from."] = "Sende flüster Nachricht zum Spieler wenn Duell abgelehnt wurde."
L["You are %d levels higher than me, so it's fairly obvious that you'd win. Go and challenge someone else."] = "Du bist %d Stufen höher wie ich, also ist es ziemlich offensichtlich, dass du gewinnen wirst. Bitte, fordere jemand anderes herraus."

elseif GetLocale() == "koKR" then -- Korean
-- L["Automatically decline duel request from higher level players."] = ""
-- L["Automatically decline duel requests from enemy players."] = ""
-- L["Automatically decline duels if you are not at full health."] = ""
-- L["Automatically decline duels if your mana is not full."] = ""
-- L["Automatically decline duels while you are PvP flagged."] = ""
-- L["Automatically decline duels while you are marked as Away."] = ""
-- L["Automatically decline duels while you are marked as Busy."] = ""
-- L["Automatically decline duels while you have Resurrection Sickness."] = ""
-- L["Away."] = ""
-- L["Busy."] = ""
-- L["Challenger"] = ""
-- L["Decline all incoming duel requests."] = ""
-- L["DuelResponse"] = ""
-- L["DuelResponse Config"] = ""
-- L["Enemy Challenger"] = ""
-- L["I am currently marked as Away."] = ""
-- L["I am currently marked as Busy."] = ""
-- L["I don't duel while I have Resurrection Sickness."] = ""
-- L["I don't duel while my PvP flag is on."] = ""
-- L["I don't like to duel."] = ""
-- L["Load Successful."] = ""
-- L["Minimap Button"] = ""
-- L["Minimum health to recover:"] = ""
-- L["Minimum level difference of higher level players:"] = ""
-- L["Minimum mana to recover:"] = ""
-- L["Please allow me to heal first."] = ""
-- L["Please allow me to regain my mana first."] = ""
-- L["Send a whisper to those you have rejected a duel request from."] = ""
-- L["You are %d levels higher than me, so it's fairly obvious that you'd win. Go and challenge someone else."] = ""

elseif GetLocale() == "esMX" then -- Latin American Spanish
-- L["Automatically decline duel request from higher level players."] = ""
-- L["Automatically decline duel requests from enemy players."] = ""
-- L["Automatically decline duels if you are not at full health."] = ""
-- L["Automatically decline duels if your mana is not full."] = ""
-- L["Automatically decline duels while you are PvP flagged."] = ""
-- L["Automatically decline duels while you are marked as Away."] = ""
-- L["Automatically decline duels while you are marked as Busy."] = ""
-- L["Automatically decline duels while you have Resurrection Sickness."] = ""
-- L["Away."] = ""
-- L["Busy."] = ""
-- L["Challenger"] = ""
-- L["Decline all incoming duel requests."] = ""
-- L["DuelResponse"] = ""
-- L["DuelResponse Config"] = ""
-- L["Enemy Challenger"] = ""
-- L["I am currently marked as Away."] = ""
-- L["I am currently marked as Busy."] = ""
-- L["I don't duel while I have Resurrection Sickness."] = ""
-- L["I don't duel while my PvP flag is on."] = ""
-- L["I don't like to duel."] = ""
-- L["Load Successful."] = ""
-- L["Minimap Button"] = ""
-- L["Minimum health to recover:"] = ""
-- L["Minimum level difference of higher level players:"] = ""
-- L["Minimum mana to recover:"] = ""
-- L["Please allow me to heal first."] = ""
-- L["Please allow me to regain my mana first."] = ""
-- L["Send a whisper to those you have rejected a duel request from."] = ""
-- L["You are %d levels higher than me, so it's fairly obvious that you'd win. Go and challenge someone else."] = ""

elseif GetLocale() == "ruRU" then -- Russian
L["Automatically decline duel request from higher level players."] = "Автоматическое снижение дуэли просьбе высокоуровневых игроков." -- Needs review
L["Automatically decline duel requests from enemy players."] = "Автоматическое снижение дуэли просьбы от вражеских игроков." -- Needs review
L["Automatically decline duels if you are not at full health."] = "Автоматическое снижение дуэли, если вы не в полном здравии." -- Needs review
L["Automatically decline duels if your mana is not full."] = "Автоматическое снижение дуэли, если вы не в полной мане." -- Needs review
L["Automatically decline duels while you are PvP flagged."] = "Автоматическое снижение дуэли, пока вы PvP не клеился." -- Needs review
L["Automatically decline duels while you are marked as Away."] = "Автоматическое снижение дуэли, пока вы с пометкой прочь." -- Needs review
L["Automatically decline duels while you are marked as Busy."] = "Автоматическое снижение дуэли, пока вы с пометкой Занят." -- Needs review
L["Automatically decline duels while you have Resurrection Sickness."] = "Автоматическое снижение поединков пока вы Воскресения болезни." -- Needs review
L["Away."] = "прочь." -- Needs review
L["Busy."] = "Занят." -- Needs review
L["Challenger"] = "Челленджер" -- Needs review
L["Decline all incoming duel requests."] = "Отклонить все входящие запросы дуэли." -- Needs review
L["DuelResponse"] = "Дуэль-ответ" -- Needs review
L["DuelResponse Config"] = "ДуэльОтвет Конфигурации" -- Needs review
L["Enemy Challenger"] = "Челленджер врага" -- Needs review
L["I am currently marked as Away."] = "В настоящее время я с пометкой прочь." -- Needs review
L["I am currently marked as Busy."] = "В настоящее время я с пометкой Занят." -- Needs review
L["I don't duel while I have Resurrection Sickness."] = "Я в настоящее время Воскресения болезни." -- Needs review
L["I don't duel while my PvP flag is on."] = "а я был помечен для игрок против игрока боевых действий." -- Needs review
L["I don't like to duel."] = "Я не хотел драться." -- Needs review
L["Load Successful."] = "Успешные нагрузки." -- Needs review
-- L["Minimap Button"] = ""
L["Minimum health to recover:"] = "Минимальная здоровья восстановить:" -- Needs review
L["Minimum level difference of higher level players:"] = "Минимальный уровень разницы высшего уровня игроков:" -- Needs review
L["Minimum mana to recover:"] = "Минимальная ману восстановить:" -- Needs review
L["Please allow me to heal first."] = "Пожалуйста, позвольте мне излечиться." -- Needs review
L["Please allow me to regain my mana first."] = "Пожалуйста, позвольте мне вернуть мою ману." -- Needs review
L["Send a whisper to those you have rejected a duel request from."] = "Отправить шепотом те, которые вы отклонили просьбу дуэли." -- Needs review
L["You are %d levels higher than me, so it's fairly obvious that you'd win. Go and challenge someone else."] = "Вы находитесь %d уровней выше меня, так что очевидно вы выиграете бой. Пожалуйста пойдите и вызов другого игрока." -- Needs review

elseif GetLocale() == "zhCN" then -- Simplified Chinese
-- L["Automatically decline duel request from higher level players."] = ""
-- L["Automatically decline duel requests from enemy players."] = ""
-- L["Automatically decline duels if you are not at full health."] = ""
-- L["Automatically decline duels if your mana is not full."] = ""
-- L["Automatically decline duels while you are PvP flagged."] = ""
-- L["Automatically decline duels while you are marked as Away."] = ""
-- L["Automatically decline duels while you are marked as Busy."] = ""
-- L["Automatically decline duels while you have Resurrection Sickness."] = ""
-- L["Away."] = ""
-- L["Busy."] = ""
-- L["Challenger"] = ""
-- L["Decline all incoming duel requests."] = ""
-- L["DuelResponse"] = ""
-- L["DuelResponse Config"] = ""
-- L["Enemy Challenger"] = ""
-- L["I am currently marked as Away."] = ""
-- L["I am currently marked as Busy."] = ""
-- L["I don't duel while I have Resurrection Sickness."] = ""
-- L["I don't duel while my PvP flag is on."] = ""
-- L["I don't like to duel."] = ""
-- L["Load Successful."] = ""
-- L["Minimap Button"] = ""
-- L["Minimum health to recover:"] = ""
-- L["Minimum level difference of higher level players:"] = ""
-- L["Minimum mana to recover:"] = ""
-- L["Please allow me to heal first."] = ""
-- L["Please allow me to regain my mana first."] = ""
-- L["Send a whisper to those you have rejected a duel request from."] = ""
-- L["You are %d levels higher than me, so it's fairly obvious that you'd win. Go and challenge someone else."] = ""

elseif GetLocale() == "esES" then -- Spanish
L["Automatically decline duel request from higher level players."] = "Automáticamente se niegan duelos a partir de jugadores alto nivel."
L["Automatically decline duel requests from enemy players."] = "Rechazar automáticamente duelos las peticiones de los jugadores enemigos."
L["Automatically decline duels if you are not at full health."] = "Rechazar automáticamente duelos si no están en plena salud."
L["Automatically decline duels if your mana is not full."] = "Rechazar automáticamente duelos si no están en plena maná."
L["Automatically decline duels while you are PvP flagged."] = "Rechazar automáticamente duelos mientras que ha marcado para JcJ."
L["Automatically decline duels while you are marked as Away."] = "Rechazar automáticamente duelos mientras están marcados como Ausente."
L["Automatically decline duels while you are marked as Busy."] = "Rechazar automáticamente duelos mientras están marcados como Ocupado."
L["Automatically decline duels while you have Resurrection Sickness."] = "Rechazar automáticamente duelos mientras que usted tiene enfermedad de resurrección."
L["Away."] = "Lejos."
L["Busy."] = "Ocupado."
L["Challenger"] = "Challenger"
L["Decline all incoming duel requests."] = "Rechazar todas las peticiones entrantes duelo."
L["DuelResponse"] = "DuelRespuesta"
L["DuelResponse Config"] = "Opciones de DuelRespuesta"
L["Enemy Challenger"] = "Enemigo Challenger"
L["I am currently marked as Away."] = "Actualmente estoy marcada como Lejos."
L["I am currently marked as Busy."] = "Actualmente estoy marcado como Ocupado."
L["I don't duel while I have Resurrection Sickness."] = "Yo no duelo mientras que yo tener Resurrección de enfermedad."
L["I don't duel while my PvP flag is on."] = "No me duelo, mientras que ha marcado para jugador contra jugador."
L["I don't like to duel."] = "No me gusta para batirse en duelo."
L["Load Successful."] = "Cargando con éxito."
-- L["Minimap Button"] = ""
L["Minimum health to recover:"] = "Mínima para recuperar la salud:"
L["Minimum level difference of higher level players:"] = "diferencia Nivel mínimo de jugadores alto nivel:"
L["Minimum mana to recover:"] = "Mínima para recuperar la mana:"
L["Please allow me to heal first."] = "Por favor permítame a curar primero."
L["Please allow me to regain my mana first."] = "Permítanme recuperar mi maná primero."
L["Send a whisper to those you have rejected a duel request from."] = "Enviar susurros a los jugadores cuando no das un duelo."
L["You are %d levels higher than me, so it's fairly obvious that you'd win. Go and challenge someone else."] = "Usted son %d niveles más altos que yo, así que es bastante obvio que usted sería ganaría. Por favor, vaya y desafiar a alguien más."

elseif GetLocale() == "zhTW" then -- Traditional Chinese
-- L["Automatically decline duel request from higher level players."] = ""
-- L["Automatically decline duel requests from enemy players."] = ""
-- L["Automatically decline duels if you are not at full health."] = ""
-- L["Automatically decline duels if your mana is not full."] = ""
-- L["Automatically decline duels while you are PvP flagged."] = ""
-- L["Automatically decline duels while you are marked as Away."] = ""
-- L["Automatically decline duels while you are marked as Busy."] = ""
-- L["Automatically decline duels while you have Resurrection Sickness."] = ""
-- L["Away."] = ""
-- L["Busy."] = ""
-- L["Challenger"] = ""
-- L["Decline all incoming duel requests."] = ""
-- L["DuelResponse"] = ""
-- L["DuelResponse Config"] = ""
-- L["Enemy Challenger"] = ""
-- L["I am currently marked as Away."] = ""
-- L["I am currently marked as Busy."] = ""
-- L["I don't duel while I have Resurrection Sickness."] = ""
-- L["I don't duel while my PvP flag is on."] = ""
-- L["I don't like to duel."] = ""
-- L["Load Successful."] = ""
-- L["Minimap Button"] = ""
-- L["Minimum health to recover:"] = ""
-- L["Minimum level difference of higher level players:"] = ""
-- L["Minimum mana to recover:"] = ""
-- L["Please allow me to heal first."] = ""
-- L["Please allow me to regain my mana first."] = ""
-- L["Send a whisper to those you have rejected a duel request from."] = ""
-- L["You are %d levels higher than me, so it's fairly obvious that you'd win. Go and challenge someone else."] = ""

end